using System;
using System.ComponentModel;

namespace SGModule.Common.Extensions {
    public static class EnumExtensions {
        public static string GetDescription(this Enum value) {
            var field = value.GetType().GetField(value.ToString());
            var attribute = (DescriptionAttribute) Attribute.GetCustomAttribute(field, typeof(DescriptionAttribute));
            return attribute?.Description ?? value.ToString(); // 如果没有描述，就使用枚举名称
        }
    }
}
